Subject: Re: wget FTP wildcards
From: Václav Krpec <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jan 2004 12:16:10 +0100

But, as you can see, I'm trying to do __FTP__ connection,
and these allows wildcards usage (according to wget
man pages). Maybe "-g on" option will help... I'm gonna try... No.
I know it works on Linux, why not on cygWin? Do I need special settings?
Or wget thinks I'm trying to make http connection? Why? I specified
FTP protocol. How to force the protocol?

> -----Original Message-----
> From: cygwin-owner On Behalf Of Václav Krpec

> I have trouble using wildcards in wget FTP connections.
> wget doesn't treat `*' and `?' as wildcards but ordinary 
> characters, so the connection results in something like this:
> 
> $ wget -e ftp_proxy=192.168.35.1:3128 
> ftp://ftp.fit.vutbr.cz/pub/XFree86/4.3.0/
> source/*
> Warning: wildcards not supported in HTTP.
> --11:16:34--  ftp://ftp.fit.vutbr.cz/pub/XFree86/4.3.0/source/*
>            => `*'
> Connecting to 192.168.35.1:3128... connected.
> Proxy request sent, awaiting response... 404 Not Found
> 11:16:54 ERROR 404: Not Found.
> 
> Note that I use FTP proxy server (firewall), I run CygWin 
> over M$ Win2000Pro and this problem occurs using both wget 
> from CygWin installation and M$ Win wget binary I downloaded 
> separately, and also running from GygWin bash or M$ Win cmdline.

  Well, like the error message tells you, 

> Warning: wildcards not supported in HTTP.

  You're trying to use a feature that doesn't exist.  Just don't, and the
problem will go away.

  The actual way to use wget to fetch every file in a directory would be to
use the options "-r -l1".  You can also use the various accept and reject
options of wget to try and narrow in on the precise set of files that you
want.

  If you really, really, *really* want a pattern matching version of wget,
it would always be possible to make a shell script that calls "wget
--spider" to list all the files without fetching them, parses the output
using sed, perl, grep or awk to make a list of the matching names, writing
them into a temp file as it goes, and finally calls "wget --input-file=" to
download only the files that matched.

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

-- 
  vencík <[email-masked]>
         <[email-masked]>

  http://www.razdva.cz/vencik/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/